Time tracking
Get a time entry
GET
/
{team_id}
/
time
/
entries
/
{time_entry_id}
Get a time entry
curl --request GET \
--url https://api.superthread.com/v1/{team_id}/time/entries/{time_entry_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.superthread.com/v1/{team_id}/time/entries/{time_entry_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.superthread.com/v1/{team_id}/time/entries/{time_entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"time_entry": {
"id": "01HQK6Z9YJZ4M9JX8FVB6QXYAB",
"type": "time_entry",
"team_id": "tDsu0j19",
"scope_type": "card",
"scope_id": "2700",
"user_id": "uR2dws11",
"started_at": 1608742037016,
"duration_seconds": 1800,
"description": "Pairing with Alex on the API spec",
"billable": true,
"rate_snapshot_cents": 12500,
"deleted_at": 1608742037016,
"locked_at": 1608742037016,
"time_created": 1608742037016,
"time_updated": 1608742037016
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Time Entry ID (client-supplied ULID).
Response
Time entry
Show child attributes
Show child attributes
Previous
Update a time entryUpdates editable fields of a time entry. Returns 409 if the entry is locked.
Next
⌘I
Get a time entry
